---
title: system-property
slug: Web/XPath/Functions/system-property
tags:
  - XSLT
  - XSLT_Reference
---
<p>{{ XsltRef() }}</p>

<p>The <code>system-property</code> function returns an object representing the given system-property.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="eval notranslate">system-property(<var>name</var>)
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt><code><var>name</var></code> (optional)</dt>
 <dd>The name of the system property. The argument must evaluate to a string that is a QName. The QName is expanded into a name using the namespace declarations in scope for the expression. The system-property function returns an object representing the value of the system property identified by the name. If there is no such system property, the empty string should be returned.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>An object representing the given system-property.</p>

<h3 id="Notes">Notes</h3>

<ul>
 <li>xsl:version, a number giving the version of XSLT implemented by the processor; for XSLT processors implementing the version of XSLT specified by this document, this is the number 1.0</li>
 <li>xsl:vendor, a string identifying the vendor of the XSLT processor</li>
 <li>xsl:vendor-url, a string containing a URL identifying the vendor of the XSLT processor; typically this is the host page (home page) of the vendor's Web site.</li>
</ul>

<h3 id="Defined">Defined</h3>

<p><a class="external" href="http://www.w3.org/TR/xslt#function-system-property">XSLT 1.0 12.4</a></p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
